\begin{table}[H]
    \small
    \label{tbl:simpleImlp}
    \begin{tabular}{|ccc|cclc|cclcc|c|c|} 
        \hline
        \multicolumn{3}{|c|}{ $K^0(f) \cup N(f)$ } & \multicolumn{4}{c|}{$K^1(f)$ } & \multicolumn{5}{c|}{$K^2(f)$ } & $K^3(f)$       & $Z(f)$   \\ 
        \hline
        1  & 00000 & \checkmark                             & 1  & 0000X & \checkmark & 1-2           & 1 & 000XX &  & 2-4   & 1-7     & $\varnothing$  & 01X01    \\ 
        \cline{1-3}
        2  & 00001 & \checkmark                             & 2  & 000X0 & \checkmark & 1-3           & 2 & X000X &  & 3-6   & 1-10    &                & 110X1    \\ 
        \cline{8-12}
        3  & 00010 & \checkmark                             & 3  & X0000 & \checkmark & 1-4           & 3 & XX001 &  & 5-20  & 6-17    &                & 000XX    \\ 
        \cline{4-7}
        4  & 10000 & \checkmark                             & 4  & 000X1 & \checkmark & 2-5           & 4 & 00X1X &  & 7-14  & 8-13    &                & X000X    \\ 
        \cline{1-3}
        5  & 00011 & \checkmark                             & 5  & 0X001 & \checkmark & 2-7           & 5 & 0XX10 &  & 8-18  & 9-15    &                & XX001    \\
        6  & 00110 & \checkmark                             & 6  & X0001 & \checkmark & 2-9           & 6 & 10X0X &  & 10-21 & 11-19   &                & 00X1X    \\ 
        \cline{4-7}
        7  & 01001 & \checkmark                             & 7  & 0001X & \checkmark & 3-5           & 7 & 1X00X &  & 10-23 & 12-20   &                & 0XX10    \\
        8  & 01010 & \checkmark                             & 8  & 00X10 & \checkmark & 3-6           & 8 & 1XX00 &  & 11-24 & 12-22   &                & 10X0X    \\
        9  & 10001 & \checkmark                             & 9  & 0X010 & \checkmark & 3-8           & \multicolumn{5}{c|}{}          &                & 1X00X    \\
        10 & 10100 & \checkmark                             & 10 & 1000X & \checkmark & 4-9           & \multicolumn{5}{c|}{}          &                & 1XX00    \\
        11 & 11000 & \checkmark                             & 11 & 10X00 & \checkmark & 4-10          & \multicolumn{5}{c|}{}          &                &          \\ 
        \cline{1-3}
        12 & 00111 & \checkmark                             & 12 & 1X000 & \checkmark & 4-11          & \multicolumn{5}{c|}{}          &                &          \\ 
        \cline{4-7}
        13 & 01101 & \checkmark                             & 13 & 00X11 & \checkmark & 5-12          & \multicolumn{5}{c|}{}          &                &          \\
        14 & 01110 & \checkmark                             & 14 & 0011X & \checkmark & 6-12          & \multicolumn{5}{c|}{}          &                &          \\
        15 & 10101 & \checkmark                             & 15 & 0X110 & \checkmark & 6-14          & \multicolumn{5}{c|}{}          &                &          \\
        16 & 11001 & \checkmark                             & 16 & 01X01 &   & 7-13          & \multicolumn{5}{c|}{}          &                &          \\
        17 & 11100 & \checkmark                             & 17 & X1001 & \checkmark & 7-16          & \multicolumn{5}{c|}{}          &                &          \\ 
        \cline{1-3}
        18 & 11011 & \checkmark                             & 18 & 01X10 & \checkmark & 8-14          & \multicolumn{5}{c|}{}          &                &          \\
        \multicolumn{3}{|c|}{}                     & 19 & 10X01 & \checkmark & 9-15          & \multicolumn{5}{c|}{}          &                &          \\
        \multicolumn{3}{|c|}{}                     & 20 & 1X001 & \checkmark & 9-16          & \multicolumn{5}{c|}{}          &                &          \\
        \multicolumn{3}{|c|}{}                     & 21 & 1010X & \checkmark & 10-15         & \multicolumn{5}{c|}{}          &                &          \\
        \multicolumn{3}{|c|}{}                     & 22 & 1X100 & \checkmark & 10-17         & \multicolumn{5}{c|}{}          &                &          \\
        \multicolumn{3}{|c|}{}                     & 23 & 1100X & \checkmark & 11-16         & \multicolumn{5}{c|}{}          &                &          \\
        \multicolumn{3}{|c|}{}                     & 24 & 11X00 & \checkmark & 11-18         & \multicolumn{5}{c|}{}          &                &          \\ 
        \cline{4-7}
        \multicolumn{3}{|c|}{}                     & 25 & 110X1 &   & 16-18         & \multicolumn{5}{c|}{}          &                &          \\
        \hline
    \end{tabular}
\end{table}